# Define pkgdocdir for releases that don't define it already
%{!?_pkgdocdir: %global _pkgdocdir %{_docdir}/%{name}-%{version}}

Name:          python-qpid_messaging
Summary:       Python bindings for the Qpid messaging framework
Version:       0.28
Release:       1%{?dist}

License:       ASL 2.0
URL:           http://qpid.apache.org
Source0:       http://www.apache.org/dist/qpid/%{version}/python-qpid_messaging-%{version}.tar.gz
Patch0001:     0001-NO-JIRA-Fixed-the-swig-descriptor-for-the-Python-bin.patch

BuildRequires: python-devel
BuildRequires: swig
BuildRequires: cmake
BuildRequires: gcc-c++
BuildRequires: qpid(client-devel)%{?_isa} = %{version}

Requires:      python
Requires:      qpid(client)%{?_isa} = %{version}
Requires:      python-qpid-common

%{?filter_setup:
%filter_provides_in %{python_sitearch}/.*\.so$
%filter_setup}


%description
%{summary}.


%prep
%setup -q

%patch0001 -p7


%build
%cmake .
make %{?_smp_mflags}


%install
%make_install

chmod 755 %{buildroot}/%{python_sitearch}/_qpid_messaging.so


%clean


%files
%doc ChangeLog
%doc LICENSE
%doc README
%{python_sitearch}/qpid_messaging.py
%{python_sitearch}/qpid_messaging.pyc
%{python_sitearch}/qpid_messaging.pyo
%{python_sitearch}/_qpid_messaging.so


%changelog
* Thu Jun  5 2014 Darryl L. Pierce <dpierce@redhat.com> - 0.28-1
- Rebased on Qpid 0.28.

* Mon Jun  2 2014 Darryl L. Pierce <dpierce@redhat.com> - 0.26-2
- Updated dependencies to use virtual qpid packages.
- Resolves: BZ#1103572

* Mon Feb 24 2014 Darryl L. Pierce <dpierce@redhat.com> - 0.26-1
- Rebased on Qpid 0.26.

* Wed Sep 25 2013 Darryl L. Pierce <dpierce@redhat.com> - 0.24-3
- First official build for Fedora.
- Resolves: BZ#1012077

* Wed Sep 25 2013 Darryl L. Pierce <dpierce@redhat.com> - 0.24-2
- Removed defattr from files section.
- Used make install macro.
- Fixed typo in old changelog entry.

* Wed Sep 25 2013 Darryl L. Pierce <dpierce@redhat.com> - 0.24-1
- Initial package based on Qpid 0.24.
